# ILog

It is predefined interface containing log data.

<table><thead><tr><th width="243">Field</th><th>Description</th></tr></thead><tbody><tr><td>log_index</td><td>The log's index position in the block.</td></tr><tr><td>log_transaction_hash</td><td>Hash of the transaction this log was created from.</td></tr><tr><td>log_transaction_index</td><td>The transaction's index position in the block.</td></tr><tr><td>log_address</td><td>Address from which this log originated.</td></tr><tr><td>log_data</td><td>Contains one or more 32-byte non-indexed arguments of the log.</td></tr><tr><td>topics</td><td>Array of 0 to 4 32-byte hex of indexed log arguments.</td></tr></tbody></table>

```typescript
export interface ILog {
  log_index: string;
  log_transaction_hash: string;
  log_transaction_index: string;
  log_address: string;
  log_data: string;
  topics: string[];
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockflow.network/cli/glossary/ilog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
